{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function rowexists, msg, post_event\r\n$insert react_items_equ\r\n$insert msg_equates\r\n\r\nif .graphite_or_tube->value = '' then\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You must choose an \"Item Type\" prior to saving this reactor item.'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\nif rowexists( 'REACT_ITEMS', .item_no->text ) else\r\n   .entry_id->text = @user4\r\nend\r\nif ( .status->value = 'I' ) then\r\n   if .inactive_date->text = '' then\r\n      MsgInfo = ''\r\n      MsgInfo<mtext$> = 'You must enter an inactive date if you are inactivating this reactor item...'\r\n      MsgInfo<micon$> = '!'\r\n      Void = msg( '', MsgInfo )\r\n      @@window->focus = @window:'.INACTIVE_DATE'\r\n      Void = post_event( @window:'.INACTIVE_DATE', 'GOTFOCUS' )\r\n      return 0\r\n   end\r\nend\r\nreturn 1\r\n"
        }
    }
}